Subject: Re: bug#20404: 25.0.50; Sometimes no fontification with jit-lock-defer-time

From: Stefan Monnier <[email-masked]>
Date: Thu, 23 Apr 2015 15:31:56 -0400

> I don't see how what you say can follow from what I wrote in that message.

I just misunderstood.

> But that doesn't mean input-pending-p will return nil when there's
> input unread by read_socket_hook, because once our keyboard queue gets
> emptied, readable_events will return zero, and then we _will_ call
> read_socket_hook to fill our queue, and then the second call to
> readable_events will return non-zero, and input-pending-p will return
> non-nil.

Good.  But then I don't understand why Tassilo gets the same display
freezes with jit-lock-defer-time set to 0 as when jit-lock-defer-time is
set to nil.

You seem to say that you know why (and that you explained it in those
old discussions), but I guess I don't understand those explanations.

        Stefan